Subject: Re: [Ecrit] Emergency Call Framework for Canada; Questions on draft-ietf-ecrit-framework-09
From: Patrik Fältström <[email-masked]>
To: John Lange <[email-masked]>
Cc: ecrit <[email-masked]>
Date: Wed, 3 Jun 2009 07:09:33 +0200
List-Id: <ecrit.ietf.org>

On 2 jun 2009, at 20.13, John Lange wrote:

> 1) Endpoint location discovery via DHCP is not going to work for
> residential so some other mechanism will need to be employed (and I
> think it should be STUN + DNS).

I think people should be careful with statements of the form "will not  
work for X". Much better to say "will not work in all situations" or  
"will not work if Y". Even "will not work for MANY deployments" is  
dangerous as I claim noone actually know what "many" implies in  
statements like that.

I know network deployments where location by DHCP will work extremely  
well.

I know location by DHCP will not work in some cases, and work in some.

    Patrik